import request from '@/config/axios'

// 查询设备分组列表
export function listGroup(query) {
  return request.get({
    url: '/rq/iot-group/page',
   
    params: query
  })
}

// 查询设备分组详细
export function getGroup(groupId) {
  return request.get({
    url: '/rq/iot-group/' + groupId,
  
  })
}

// 查询分组下的关联设备ID数组
export function getDeviceIds(groupId) {
  return request.get({
    url: '/rq/iot-group/getDeviceIds/' + groupId,
  
  })
}

// 新增设备分组
export function addGroup(data) {
  return request.post({
    url: '/rq/iot-group',
 
    data: data
  })
}

// 修改设备分组
export function updateGroup(data) {
  return request.put({
    url: '/rq/iot-group',
 
    data: data
  })
}

// 更新分组下的设备
export function updateDeviceGroups(data) {
  return request.put({
    url: '/rq/iot-group/updateDeviceGroups',
  
    data: data
  })
}

// 删除设备分组
export function delGroup(groupId) {
  return request.delete({
    url: '/rq/iot-group/' + groupId,
   
  })
}
